import { UseFetchReturnType } from './type';
/**
 * Fetches data from a URL and caches it to minimize network requests. Provides state management for loading, errors, and the fetched data.
 * @param url The URL to fetch data from.
 * @returns An object containing `data`, `isLoading`, `error`, and `isError`.
 */
export declare function useDataFetch<T>(url: string): UseFetchReturnType<T>;
