import { FormErrors, FormValues, UseFormReturnTypes } from './type';
/**
 * Custom hook for form state management, including input values, handling changes,
 * and form submission. This hook also supports input validation.
 *
 * @param initialInputValues Object representing initial values for the form fields.
 * @param submitCallback Function to call upon form submission if inputs pass validation.
 * @param inputValidator Function to validate form inputs and return any errors.
 * @returns An object containing handlers for input changes and form submission,
 * the current form inputs, and any validation errors.
 */
export declare const useForm: (initialInputValues: FormValues, submitCallback: (values: FormValues) => void, inputValidator: (values: FormValues) => FormErrors) => UseFormReturnTypes;
