/**
 * useMediaQuery - A hook that listens for matches to a CSS media query.
 *
 * It enables conditional rendering or execution of effects based on the result of the media query,
 * facilitating more responsive designs directly within your component logic.
 *
 * @param query - The CSS media query string to listen for.
 * @returns A boolean indicating whether the media query currently matches.
 *
 * Example:
 * const isMobile = useMediaQuery('(max-width: 600px)');
 * if (isMobile) {
 *   // Adjust layout for mobile
 * }
 */
export declare const useMediaQuery: (query: string) => boolean;
